﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Player
    {
        private string nameTag;
        private List<Tile> tiles;
        private bool isPlaying = false;
        private Score s; // Les gars, on nous a demandé de ne pas ça, réfléchissez

        public Player(string name)
        {
            nameTag = name;
            tiles = new List<Tile>();
            s = new Score(this);
            Console.WriteLine("Player created. Name : " + nameTag + "\n");
        }

        public Player() // À enlever c'est pas logique
        {
            nameTag = "Unknow";
            tiles = new List<Tile>();
            s = new Score(this);
            Console.WriteLine("Player created. Name : " + nameTag + "\n");
        }

        public string GetNameTag
        {
            get { return nameTag; }
        }

        public bool IsPlaying
        {
            get { return isPlaying; }
            set { isPlaying = value; } // pour vulgariser, le C# prends la value qui sert d'égalité !! 
        }
        public void AddTilePlayer(Tile tile)
        {
            tiles.Add(tile);
        }
        public void RemoveTilePlayer(Tile tile)
        {
            tiles.Remove(tile);
        }

        public List<Tile> Tiles // Rajouter un "get" là
        {
            get{ return tiles; }

        }
    }
}
